# bezier_base< double, float > Class Template Reference

`#include <_bezier.h>`

List of all members.

## Public Types

typedef double | value_type
typedef float | time_type

## Public Member Functions

| bezier_base ()
| bezier_base (const value_type &a, const value_type &b, const value_type &c, const value_type &d, const time_type &r=0.0, const time_type &s=1.0)
void | sync ()
value_type | operator() (time_type t) const
void | set_rs (time_type new_r, time_type new_s)
void | set_r (time_type new_r)
void | set_s (time_type new_s)
const time_type & | get_r () const
const time_type & | get_s () const
time_type | get_dt () const
time_type | intersect (const bezier_base< value_type, time_type > &x, time_type t=0.0, int i=15) const
| Bezier curve intersection function.
value_type & | operator[] (int i)
const value_type & | operator[] (int i) const

## Private Attributes

affine_combo< value_type, time_type > | affine_func
value_type | a
value_type | b
value_type | c
value_type | d
time_type | r
time_type | s
value_type | _coeff [4]
time_type | drs

## Detailed Description

### template<>
class bezier_base< double, float >

Definition at line 307 of file _bezier.h.

## Member Typedef Documentation

typedef double bezier_base< double, float >::value_type

Definition at line 310 of file _bezier.h.

typedef float bezier_base< double, float >::time_type

Definition at line 311 of file _bezier.h.

## Constructor & Destructor Documentation

bezier_base< double, float >::bezier_base | ( |  | ) | `[inline]`

Definition at line 320 of file _bezier.h.

bezier_base< double, float >::bezier_base | ( | const value_type & | a,
|  | const value_type & | b,
|  | const value_type & | c,
|  | const value_type & | d,
|  | const time_type & | r = `0.0`,
|  | const time_type & | s = `1.0` |
| ) |  |  | `[inline]`

Definition at line 321 of file _bezier.h.

References bezier_base< V, T >::sync().

## Member Function Documentation

void bezier_base< double, float >::sync | ( |  | ) | `[inline]`

Definition at line 326 of file _bezier.h.

References bezier_base< V, T >::a, bezier_base< V, T >::b, bezier_base< V, T >::c, and bezier_base< V, T >::d.

value_type bezier_base< double, float >::operator() | ( | time_type | t | ) | const`[inline]`

Definition at line 337 of file _bezier.h.

References bezier_base< V, T >::r.

void bezier_base< double, float >::set_rs | ( | time_type | new_r,
|  | time_type | new_s |
| ) |  |  | `[inline]`

Definition at line 340 of file _bezier.h.

References bezier_base< V, T >::r, and bezier_base< V, T >::s.

void bezier_base< double, float >::set_r | ( | time_type | new_r | ) | `[inline]`

Definition at line 341 of file _bezier.h.

References bezier_base< V, T >::r, and bezier_base< V, T >::s.

void bezier_base< double, float >::set_s | ( | time_type | new_s | ) | `[inline]`

Definition at line 342 of file _bezier.h.

References bezier_base< V, T >::r, and bezier_base< V, T >::s.

const time_type& bezier_base< double, float >::get_r | ( |  | ) | const`[inline]`

Definition at line 343 of file _bezier.h.

References bezier_base< V, T >::r.

const time_type& bezier_base< double, float >::get_s | ( |  | ) | const`[inline]`

Definition at line 344 of file _bezier.h.

References bezier_base< V, T >::s.

time_type bezier_base< double, float >::get_dt | ( |  | ) | const`[inline]`

Definition at line 345 of file _bezier.h.

References bezier_base< V, T >::r, and bezier_base< V, T >::s.

time_type bezier_base< double, float >::intersect | ( | const bezier_base< value_type, time_type > & | x,
|  | time_type | t = `0.0`,
|  | int | i = `15` |
| ) |  |  | const`[inline]`

Bezier curve intersection function.

Calculates the time of intersection for the calling curve.

Definition at line 351 of file _bezier.h.

References bezier_base< V, T >::r, and bezier_base< V, T >::s.

value_type& bezier_base< double, float >::operator[] | ( | int | i | ) | `[inline]`

Definition at line 376 of file _bezier.h.

References bezier_base< V, T >::a.

const value_type& bezier_base< double, float >::operator[] | ( | int | i | ) | const`[inline]`

Definition at line 380 of file _bezier.h.

References bezier_base< V, T >::a.

## Member Data Documentation

affine_combo<value_type,time_type> bezier_base< double, float >::affine_func `[private]`

Definition at line 313 of file _bezier.h.

value_type bezier_base< double, float >::a `[private]`

Definition at line 314 of file _bezier.h.

value_type bezier_base< double, float >::b `[private]`

Definition at line 314 of file _bezier.h.

value_type bezier_base< double, float >::c `[private]`

Definition at line 314 of file _bezier.h.

value_type bezier_base< double, float >::d `[private]`

Definition at line 314 of file _bezier.h.

time_type bezier_base< double, float >::r `[private]`

Definition at line 315 of file _bezier.h.

time_type bezier_base< double, float >::s `[private]`

Definition at line 315 of file _bezier.h.

value_type bezier_base< double, float >::_coeff[4]`[private]`

Definition at line 317 of file _bezier.h.

time_type bezier_base< double, float >::drs `[private]`

Definition at line 318 of file _bezier.h.

The documentation for this class was generated from the following file:

- _bezier.h